Bug 408191 - Items in Drawers are always considered "inactive" from the perspective of applying inactive window effects
Summary: Items in Drawers are always considered "inactive" from the perspective of app...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kirigami
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: Master
Platform: Other Linux
: NOR normal (vote)
Target Milestone: Not decided
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-01 21:43 UTC by Nate Graham
Modified: 2019-09-19 13:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.63


Attachments
Always-faded sidebar text (162.37 KB, image/png)
2019-06-01 21:43 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2019-06-01 21:43:05 UTC
Created attachment 120486 [details]
Always-faded sidebar text

STEPS TO REPRODUCE
1. Go to System Settings > Colors
2. Edit the current color scheme
3. Check "Apply Inactive window effects"
4. Go to the "inactive" tab, change "Contrast" to "Fade" and move the slider a ways to the right
5. Open Discover


OBSERVED RESULT
The sidebar text is always faded no matter if the window is inactive or not


EXPECTED RESULT
The text should only be faded when the window is inactive


ADDITIONAL INFORMATION
Found while working on https://phabricator.kde.org/T10201

System Settings has the same problem: Bug 408187


SOFTWARE/OS VERSIONS
Everything from git master
Comment 1 Christoph Feck 2019-06-25 14:57:16 UTC
It likely is an issue with the underlying Quick component (kirigami?)
Comment 2 Nate Graham 2019-06-25 15:02:55 UTC
Yeah I see the same issue in Kamoso, which also uses Kirigami Drawers.
Comment 3 Marco Martin 2019-09-19 13:49:07 UTC
Git commit 2ec57ca73da57ee8c6dc9b88c1e037a2643725d3 by Marco Martin.
Committed on 19/09/2019 at 13:48.
Pushed by mart into branch 'master'.

don't make list items look inactive

inactive is just for inactive windows

M  +0    -1    src/controls/templates/AbstractListItem.qml
M  +0    -2    src/controls/templates/SwipeListItem.qml

https://commits.kde.org/kirigami/2ec57ca73da57ee8c6dc9b88c1e037a2643725d3